Bug 730352 - rsync 3.0.6 missing fake-super fix
rsync 3.0.6 missing fake-super fix
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsync (Show other bugs)
5.7
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Pavel Šimerda (pavlix)
BaseOS QE Security Team
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-12 11:09 EDT by Chris Adams
Modified: 2014-02-12 10:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-12 10:23:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Permissions patch with updated spec for RHEL-5 rsync (5.23 KB, application/x-gzip)
2011-11-03 14:07 EDT, Michal Luscon
no flags Details

  None (edit)
Description Chris Adams 2011-08-12 11:09:16 EDT
The upgraded rsync 3.0.6 in RHEL 5.7 is mixing a bug fix for the --fake-super option.  See RH Bugzilla 542679 for the info and patch (that has been in Fedora for a long time now).
Comment 1 Ondrej Vasik 2011-08-15 05:51:25 EDT
Thanks for report, as this option was added in 3.0.0, it is not a regression caused by the rebase to rsync-3.0.6 - so RHEL-5 customers probably don't rely on this option. Anyway - keeping this bugzilla opened so it could be fixed eventually in next rsync update.
Comment 2 RHEL Product and Program Management 2011-09-22 20:28:27 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 3 Michal Luscon 2011-11-03 14:07:57 EDT
Created attachment 531621 [details]
Permissions patch with updated spec for RHEL-5 rsync
Comment 4 RHEL Product and Program Management 2012-06-11 21:08:52 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 5 Pavel Šimerda (pavlix) 2014-02-12 10:23:05 EST
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore will be closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide sufficient business
justification. Issue is already fixed in RHEL-6/7.

Note You need to log in before you can comment on or make changes to this bug.